import type { Ref } from 'vue';
/** 经过Init函数初始化后去除响应式的DefParams值 */
export declare let Params: any;
/** 系统培训初始化函数 */
export declare const InitSys: (Options: any) => void;
/** Props传参初始化 */
export declare const Initializer: (props: any) => void;
/** 系统参数 */
export declare function UseParam(): {
    debug: Ref<boolean>;
    mainMaxHeight: Ref<number>;
    Table_isOpenIndex: Ref<boolean>;
    Table_isOpenMultipleSelection: Ref<boolean>;
    Table_isOpenExpand: Ref<boolean>;
    Table_ExpandColumn: Ref<number>;
    Table_MenuWidth: Ref<number>;
    Table_MenuAlign: Ref<"left" | "center" | "right">;
    Page_PageSizes: Ref<number[]>;
    Page_PageParams: Ref<{
        current: number;
        pageSize: number;
        total: number;
    }>;
    Page_Layout: Ref<string>;
    Page_isHideOnSinglePage: Ref<boolean>;
    isOpenSearchForm: Ref<boolean>;
    Form_LabelWidth: Ref<number>;
    Dialog_Width: Ref<number>;
    Dialog_isFullscreen: Ref<boolean>;
    Dialog_isCloseOnPressEscape: Ref<boolean>;
    Dialog_isCloseOnClickModal: Ref<boolean>;
    Dialog_isFooterButton: Ref<boolean>;
    isAfterMountQuery: Ref<boolean>;
    ApiName: Ref<{
        query: string;
        add: string;
        edit: string;
        delete: string;
        deleteFlag: string;
        remove: string;
    }>;
    Permission: Ref<{
        add: string;
        edit: string;
        delete: string;
        deleteFlag: string;
        remove: string;
    }>;
    Permissions: Ref<string[]>;
};
/** 组件参数 */
export declare function UseState(): CrusStateType;
/** Props参数 */
export declare function UseProps(): {
    [x: string]: Ref<any>;
};
/** 增删改查等操作方法 */
export declare const UseFun: () => {
    queryRecord: () => void;
    addRecord: () => void;
    editRecord: (row: any) => void;
    handleSubmit: (formEl: any) => Promise<void>;
    delFlag: (row: any) => void;
    deleteRecord: (row: any) => void;
    deleteMulRecord: () => void;
};
/** DeBug */
export declare function CrudDebug(...params: any): void;
